Package com.trilead.ssh2.packets

## Class PacketSessionSubsystemRequest

- java.lang.Object
- - com.trilead.ssh2.packets.PacketSessionSubsystemRequest

    public class PacketSessionSubsystemRequest
    extends java.lang.Object

PacketSessionSubsystemRequest.

### Field Summary

Fields
`int` `recipientChannelID`
`java.lang.String` `subsystem`
`boolean` `wantReply`

### Constructor Summary

Constructors
`PacketSessionSubsystemRequest​(int recipientChannelID, boolean wantReply, java.lang.String subsystem)`

### Method Summary

All Methods Instance Methods Concrete Methods
`byte[]` `getPayload()`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Field Detail

#### recipientChannelID

    public int recipientChannelID

#### wantReply

    public boolean wantReply

#### subsystem

    public java.lang.String subsystem

### Constructor Detail

#### PacketSessionSubsystemRequest

    public PacketSessionSubsystemRequest​(int recipientChannelID,
                                         boolean wantReply,
                                         java.lang.String subsystem)

### Method Detail

#### getPayload

    public byte[] getPayload()